Skip to main content
PATCH
/
v2
/
workflows
/
{workflowId}
Update Workflow Information
curl --request PATCH \
  --url https://api.uat.frankie.one/v2/workflows/{workflowId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
  --header 'X-Frankie-RequestID: <x-frankie-requestid>' \
  --data '
{
  "workflowDefinitionId": "<string>",
  "workflowName": "<string>",
  "workflowDisplayName": "<string>",
  "lifecyclePhase": "OTHER",
  "monitoringTypes": [
    "AML"
  ],
  "workflowDefinitionVersion": "<string>"
}
'
{
  "requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
  "workflow": {
    "workflowId": "<string>",
    "serviceId": "<string>",
    "serviceName": "<string>",
    "workflowDefinitionId": "<string>",
    "workflowName": "<string>",
    "workflowDisplayName": "<string>",
    "type": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "workflowDefinitionVersion": "<string>",
    "lifecyclePhase": "OTHER",
    "monitoringTypes": [
      "AML"
    ],
    "definition": {
      "version": 3,
      "steps": [
        {
          "name": "Run KYC",
          "description": "Run the KYC step",
          "version": "1.0.0",
          "type": "BLOCKLIST",
          "configuration": {},
          "dependsOn": [
            "<string>"
          ]
        }
      ],
      "createdAt": "2023-01-01T12:00:00Z",
      "updatedAt": "2023-01-02T14:30:00Z",
      "definitionId": "01KCG5V9H4ZQC5T1H4A2ZZHWA",
      "name": "Customer Verification Workflow",
      "owner": "SYSTEM",
      "description": "Workflow to verify new customer identities, including KYC and AML checks.",
      "tags": [
        "customer-verification",
        "aml",
        "kyc"
      ],
      "isTemplate": false,
      "isDraft": false,
      "versionId": "01KCNG5VAH4ZQC5T1H4A2ZZHWA",
      "versions": [
        1,
        2,
        3
      ],
      "createdBy": "John Doe",
      "updatedBy": "Jane Smith",
      "variables": [
        {
          "name": "customerEmail",
          "type": "STRING",
          "description": "Customer's email address",
          "example": "customer@example.com",
          "default": ""
        }
      ],
      "initialState": {
        "name": "John Doe",
        "age": 30
      },
      "defaultErrorHandling": {},
      "tasks": [
        {}
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Frankie-CustomerID
string
required

Your Customer ID provided by FrankieOne

Example:

"12345678-1234-1234-1234-123456789012"

X-Frankie-CustomerChildID
string

Your Customer Child ID provided by FrankieOne

Example:

"87654321-4321-4321-4321-210987654321"

X-Frankie-RequestID
string
required

GUID identifier for request

Example:

"82988375-1F9C-40C7-8543-ECCA0D94CC7C"

X-Frankie-Channel
string

Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.

X-Frankie-Username
string

Username provided by API caller

Example:

"fred.flintstone@frankieone.com"

Path Parameters

workflowId
string<uuid>
required

Workflow ID

Body

application/json

Workflow Update Request

workflowDefinitionId
string

The ID of the Workflow Definition

workflowName
string

The name of the workflow as displayed in the UI and the API

workflowDisplayName
string

The display name for the workflow. This field is optional, when the value exists workflow name displayed in portal will be the value of this field.

lifecyclePhase
enum<string>
default:OTHER

Specifies the lifecycle phase of the customer in which this workflow is executed:

  • ONBOARDING: Workflow is in the onboarding stage.
  • MONITORING: Workflow is in the monitoring stage.
  • REFRESH: Workflow is in the refresh stage.
  • OTHER: Workflow is in another stage.
Available options:
ONBOARDING,
MONITORING,
REFRESH,
OTHER
monitoringTypes
enum<string>[]

The types of monitoring that subscribe to the workflow. When included, it will overwrite the existing subscriptionType list. [] will remove all existing monitoring types. ["AML"] will remove all existing monitoring types and add the AML monitoring type. When not included, the existing monitoring types will remain unchanged.

The type of workflow subscription. This determines which types are subscribing to a workflow.

Available options:
AML,
ACTIVITY
workflowDefinitionVersion
string

Reference version id used in our workflow builder.

Response

OK

requestId
string
required

The unique request identifier for the API call made.

Example:

"01HN9XHZN6MGXM9JXG50K59Q85"

workflow
object